VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "DLS90"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'******************************************************************
' ClassWork Library
' Released under OpenSource Policy
'
' Instrument : HP34401 System multimeter
' Manufacturer : Hewlett packard
'
' Initial release   15/09/2000      V.Himpe
'******************************************************************

Private v_address  ' GPIB address for this device
Private v_entity   ' entity in multichannel devices

Public Sub Class_Initialize()
   logentry "'Classwork spawned a DLS90 instrument"
End Sub

Public Property Let Address(addr)
    v_address = addr
    GPIBopen addr
End Property

Public Property Let Assignto(channel)
    v_entity = channel
End Property

Public Property Let DLS90Length(length)
  GPIBwrite v_address, ":SET:CHAN:LEN " + sStr$(length)
End Property

Public Property Get DLS90Length()
  GPIBread v_address, ":SET:CHAN:LEN?"
  DLS90Length = Val(ib$)
End Property


Public Function DLS90type()
   Dim x$
   GPIBread v_address, ":SET:CHAN:LEN?"
   x$ = Trim$(ib$)
   x$ = Right$(x$, 3)
   x$ = Left$(x$, 2)
   x$ = UCase$(x$)
   If x$ = "FT" Then
      DLS90type = 1
      Else
      DLS90type = 0
   End If
   Debug.Print x$, Len(x$)
End Function

