VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "HP3456"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
' **********************************************************************************
' ClassWork 1.0 (1999) Vincent Himpe All rights reserved
'                      Released under OpenSource Policy
'
' ClassBook Library for HP3456 Multimeter
' Initial release
' **********************************************************************************
Dim v_address

Public Sub range(range)
    GPIBwrite v_address, "R" + Trim$(Str$(range))
End Sub
Public Function measure()
    GPIBtimeout 1
    GPIBwrite v_address, "1STNRS1T1"
    GPIBread v_address, "S01-1STRRER"
    measure = ib$
End Function
Public Sub Voltdc()
    GPIBwrite v_address, "F1"
End Sub
Public Sub Voltac()
    GPIBwrite v_address, "F2"
End Sub
Public Sub VoltRMS()
    GPIBwrite v_address, "F3"
End Sub
Public Sub ohm2w()
    GPIBwrite v_address, "F4"
End Sub
Public Sub ohm4w()
    GPIBwrite v_address, "F5"
End Sub
Public Sub trig(mode)
    Select Case mode
       Case 1  ' external
           GPIBwrite v_address, "T2"
       Case 2  ' single
           GPIBwrite v_address, "T3"
       Case 3  ' hold
           GPIBwrite v_address, "T4"
       Case Else ' internal
           GPIBwrite v_address, "T1"
    End Select
End Sub

Public Property Let Address(value)
       v_address = value
End Property

Public Property Get Address()
       Address = v_address
End Property


