VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "HP8116"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
' **********************************************************************************
' ClassWork 1.0 (1999) Vincent Himpe All rights reserved
'                      Released under OpenSource Policy
'
' ClassBook Library for HP34401 Multimeter
' Initial release
' **********************************************************************************
Dim v_address  ' internal address handler

Public Sub hp8116DC(Address)
    GPIBwrite Address, "W0"
End Sub
Public Sub hp8116sine(Address)
    GPIBwrite Address, "W1"
End Sub
Public Sub hp8116triangle(Address)
    GPIBwrite Address, "W2"
End Sub
Public Sub hp8116square(Address)
    GPIBwrite Address, "W3"
End Sub
Public Sub hp8116pulse(Address)
    GPIBwrite Address, "W4"
End Sub
Public Sub hp8116amplitude(Address, level)
    GPIBwrite Address, "AMP" + Str$(level) + "V"
End Sub
Public Sub hp8116offset(Address, level)
    GPIBwrite Address, "OFS" + Str$(level) + "V"
End Sub
Public Sub hp8116frequency(Address, Frequency)
    GPIBwrite Address, "FRQ " + Str$(Frequency) + "HZ"
End Sub
Public Sub hp8116output(Address, state As Boolean)
    If state = True Then
       GPIBwrite Address, "D1"
    Else
       GPIBwrite Address, "D0"
    End If
End Sub
Public Sub hp8116sweep(Address, startfreq, stopfreq, markerfreq, sweeptime)
    GPIBwrite Address, "STA" + Str$(startfreq) + "HZ"
    
    GPIBwrite Address, "STP" + Str$(stopfreq) + "HZ"
    GPIBwrite Address, "MRK" + Str$(marerfreq) + "HZ"
    GPIBwrite Address, "SWT" + Str$(sweeptime) + "MS"
End Sub

Public Sub hp8116complement(Address, state As Boolean)
    If state = True Then
       GPIBwrite Address, "C1"
    Else
       GPIBwrite Address, "C0"
    End If
End Sub
Public Sub hp8116limit(Address, state As Boolean)
    If state = True Then
       GPIBwrite Address, "L1"
    Else
       GPIBwrite Address, "L0"
    End If
End Sub

Option Explicit


