VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "PrinterPort"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Option Explicit

' **********************************************************************************
' ClassWork 1.0 (1999) Vincent Himpe All rights reserved
'                      Released under OpenSource Policy
'
' ClassWork Library for Printerport control
' Initial release
' bug fixes vh 3-3-2000
' more bugs fixed 25-4-2000
' **********************************************************************************
Dim v_address As Integer ' internal address handler
Dim v_data As Integer
Dim v_ctrl As Integer
Dim v_read As Integer

Public Property Let port(Address)
    v_address = Address
End Property

Public Property Get port()
    port = v_address
End Property
Public Property Let D0(value As Boolean)
    If value = True Then
       v_data = v_data Or 1
    Else
       v_data = v_data And 254
    End If
    out v_address, v_data
End Property
Public Property Let D1(value As Boolean)
    If value = True Then
       v_data = v_data Or 2
    Else
       v_data = v_data And (255 - 2)
    End If
    out v_address, v_data
End Property
Public Property Let D2(value As Boolean)
If value = True Then
       v_data = v_data Or 4
    Else
       v_data = v_data And (255 - 4)
    End If
    out v_address, v_data
End Property
Public Property Let D3(value As Boolean)
If value = True Then
       v_data = v_data Or 8
    Else
       v_data = v_data And (255 - 8)
    End If
    out v_address, v_data
End Property
Public Property Let D4(value As Boolean)
If value = True Then
       v_data = v_data Or 16
    Else
       v_data = v_data And (255 - 16)
    End If
    out v_address, v_data
End Property
Public Property Let D5(value As Boolean)
If value = True Then
       v_data = v_data Or 32
    Else
       v_data = v_data And (255 - 32)
    End If
    out v_address, v_data
End Property
Public Property Let D6(value As Boolean)
If value = True Then
       v_data = v_data Or 64
    Else
       v_data = v_data And (255 - 64)
    End If
    out v_address, v_data
End Property
Public Property Let D7(value As Boolean)
If value = True Then
       v_data = v_data Or 125
    Else
       v_data = v_data And (255 - 128)
    End If
    out v_address, v_data
End Property
Public Property Let dta(value As Integer)
    out v_address, value
    v_data = value
End Property

Public Property Let STROBE(value As Boolean)
If value = True Then
       v_ctrl = v_ctrl Or 1
    Else
       v_ctrl = v_ctrl And 254
    End If
    out v_address+2, v_ctrl
End Property

Public Property Let AF(value As Boolean)
If value = True Then
       v_ctrl = v_ctrl Or 2
    Else
       v_ctrl = v_ctrl And (255 - 2)
    End If
    out v_address+2, v_ctrl
End Property

Public Property Let IP(value As Boolean)
If value = True Then
       v_ctrl = v_ctrl Or 4
    Else
       v_ctrl = v_ctrl And (255 - 4)
    End If
    out v_address+2, v_ctrl
End Property

Public Property Let SI(value As Boolean)
If value = True Then
       v_ctrl = v_ctrl Or 8
    Else
       v_ctrl = v_ctrl And (255 - 8)
    End If
    out v_address+2, v_ctrl
End Property


Public Function BS()
   Dim tmp
   tmp = inp(v_address + 1)
   ' caution. this pin is inverted in the printerport.
   ' so true and false are swapped below
   If tmp And &H80 Then
      BS = False
     Else
      BS = True
   End If
End Function

Public Function AQ()
   Dim tmp
   tmp = inp(v_address + 1)
   If tmp And &H40 Then
      AQ = True
     Else
      AQ = False
   End If
End Function
Public Function OP()
   Dim tmp
   tmp = inp(v_address + 1)
   If tmp And &H20 Then
      OP = True
     Else
      OP = False
   End If
End Function
Public Function SL()
   Dim tmp
   tmp = inp(v_address + 1)
   If tmp And &H10 Then
      SL = True
     Else
      SL = False
   End If
End Function

Public Function ER()
   Dim tmp
   tmp = inp(v_address + 1)
   If tmp And &H08 Then
      SL = True
     Else
      SL = False
   End If
End Function


