Attribute VB_Name = "hp34401"
Option Explicit
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
'  Hewlett Packard 34401
'  Digital Multimeter
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
'  Winvision  Instrument library
'  Initial release: 27/10/98
'  Written by : Vincent Himpe
'
'  Modification history :
'  30 / 08 / 1999 :  Verified for Winvision Release IV  V.Himpe
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Public Sub HP34401VoltsDc(address)
    GPIBwrite address, ":CONF:VOLT:DC"
End Sub

Public Sub HP34401VoltsAc(address)
    GPIBwrite address, ":CONF:VOLT:AC"
End Sub

Public Sub HP34401CurrentDc(address)
    GPIBwrite address, ":CONF:CURR:DC"
End Sub

Public Sub HP34401CurrentAc(address)
    GPIBwrite address, ":CONF:CURR:AC"
End Sub

Public Sub HP34401ohms4(address)
    GPIBwrite address, ":CONF:FRES"
End Sub

Public Sub HP34401Frequency(address)
    GPIBwrite address, ":CONF:FREQ"
End Sub

Public Sub HP34401Period(address)
    GPIBwrite address, ":CONF:PER"
End Sub

Public Sub HP34401ohms2(address)
    GPIBwrite address, ":CONF:RES"
End Sub
Public Sub HP34401Trigger(address, mode)
    Select Case mode
    Case 1     ' external ( vanachteren )
        GPIBwrite address, "TRIG:SOUR:IMM"
    Case Else  ' internal
        GPIBwrite address, "TRIG:SOUR:EXT"
    End Select
End Sub

Public Function hp34401measure(address)
    GPIBwrite address, "INIT"
    GPIBread address, "FETCH?"
    hp34401measure = ibret
End Function



