Attribute VB_Name = "hp6633"
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
'  HP6633a
'  Power supply
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
'  Winvision  Instrument library
'  Initial release: 09/06/99
'  Written by : Bert Vercauteren
'
'  Modification history :
'  30 / 08 / 1999 :  Verified for Winvision Release IV  V.Himpe
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

  Public Sub hp6633voltage(address, voltage)
      dta$ = "VSET" + Format$(voltage, "00.000")
      GPIBwrite address, dta$
  End Sub
  
  Public Sub hp6633current(address, current)
      dta$ = "ISET" + Format$(current, "00.000")
      GPIBwrite address, dta$
  End Sub
  
  Sub hp6633overload(address, voltage)
      dta$ = "OVSET " + Format$(voltage, "00.000")
      GPIBwrite address, dta$
  End Sub
  
  Public Sub hp6633output(address, onoff As Boolean)
     If onoff = True Then
       GPIBwrite address, "OUT 1"
       Else
       GPIBwrite address, "OUT 0"
     End If
  End Sub
  
  Public Function hp6633ReadCurrent(address)
      GPIBread address, "IOUT?"
      hp6634ReadCurrent = ibret
  End Function

  Public Function hp6633ReadVoltage(address)
      GPIBread address, "VOUT? "
      hp6634readvoltage = ibret
  End Function

  


