Attribute VB_Name = "hp8133a"
Option Explicit

' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
'  Hewlett Packard 8133a Pulse Data Generator
'
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
'  Winvision  Instrument library
'  Initial release: 29/10/98
'  Written by : Vincent Himpe
'
'  Modification history :
'  30 / 08 / 1999 :  Verified for Winvision Release IV  V.Himpe
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

Public Sub hp8133frequency(address, frequency)
    GPIBwrite address, ":SOUR:FREQ " + Str$(frequency)
End Sub
Public Sub hp8133amplitude(address, channel, amplitude)
    GPIBwrite address, ":SOUR:VOLT:AMPL " + Str$(amplitude)
End Sub
Public Sub hp8133offset(address, channel, offset)

End Sub
Public Sub hp8133output(address, channel, output, OnOff)
    Dim state$
    Dim pol$
    If OnOff = 0 Then state$ = " OFF" Else state$ = " ON"
    If output = 0 Then pol$ = ":NEG" Else pol$ = ":POS"
    If channel = 3 Then
    Else
    GPIBwrite address, ":OUTP" + Trim$(Str$(channel)) + pol$ + state$
    End If
End Sub
