Attribute VB_Name = "INFINIIUM"
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
'  Hewlett Packard
'  Infiniium
'  Winvision  Instrument library
'  Initial release: 11/26/99
'  Written by : Vincent Himpe
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
 Enum inf_inputstate
    DC = 1
    dc50 = 2
    AC = 3
    ac_filter1 = 4
    ac_filter2 = 5
End Enum
 Enum inf_vscales
    V10mV = 1
    V20mV = 2
    V50mV = 3
    V100mV = 10
    V200mV = 20
    V500mV = 50
    V1V = 100
    V2V = 200
    V5V = 500
    V10V = 1000
    V20V = 2000
    V50V = 5000
End Enum

Public Sub INFchannelOff(address, channel)
   GPIBwrite address, ":BLANK CHANNEL" + sStr$(channel)
End Sub
Public Sub INFchannelOn(address, channel)
   GPIBwrite address, ":VIEW CHANNEL" + sStr$(channel)
End Sub

Public Sub INFhardcopy(address)
   GPIBwrite address, ":PRINT"
End Sub
Public Sub INFdisplay(address, text$)
   GPIBwrite address, ":SYST:DSP " + cr$(34) + text$ + Chr$(34)
End Sub
Public Sub INFinputState(address, channel, state As inf_inputstate)
     Select Case state
     Case DC
     GPIBwrite address, ":CHANNEL" + sStr$(channel) + ":INPUT DC"
     Case AC
     GPIBwrite address, ":CHANNEL" + sStr$(channel) + ":INPUT AC"
     Case dc50
     GPIBwrite address, ":CHANNEL" + sStr$(channel) + ":INPUT DC50"
     Case ac_filter1
     GPIBwrite address, ":CHANNEL" + sStr$(channel) + ":INPUT LFR1"
     Case ac_filter2
         GPIBwrite address, ":CHANNEL" + sStr$(channel) + ":INPUT LFR2"
     End Select
End Sub
Public Sub INFinputScale(address, channel, vertical As inf_vscales)
   GPIBwrite address, ":CHANNEL" + sStr$(channel) + ":SCALE " + sStr$(vertical / 100)
End Sub

Public Sub INFSaveScreen(address, filename$)
   GPIBwrite address, ":DISK:SIMAGE " + Chr$(34) + filename$ + Chr$(34)
End Sub
Public Sub INFsavewave(address, filename$)

End Sub
