Attribute VB_Name = "OLLIE"

Option Explicit
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
'  Temptronic
'  Thermostream
'
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
'  Winvision  Instrument library
'  Written by : Bert Vercauteren
'
'  Modification history :
'  intitial version : 25/08/99
'  30 / 08 / 1999 :  Verified for Winvision Release IV  V.Himpe
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

Public Sub OLLIEhead(address, updown)
    If updown = 1 Then
        GPIBwrite address, "STND 1"
        '   put head down
    Else
        GPIBwrite address, "STND 0"
        '   lift head up
    End If
End Sub
Public Sub OLLIElow(address)
        GPIBwrite address, "SETN 2"
End Sub
Public Sub OLLIEhigh(address)
        GPIBwrite address, "SETN 0"
End Sub
Public Sub OLLIEambient(address)
    GPIBwrite address, "SETN 1"
End Sub
Public Sub OLLIEtemperature(address, setpoint$, temperature)
    Select Case setpoint$
    Case "HI", "HIGH"
         OLLIEhigh address
         GPIBwrite address, "SETP " + Str$(temperature)
    Case "AMBIENT", "AMB"
         OLLIEambient address
         GPIBwrite address, "SETP " + Str$(temperature)
    Case "LOW", "LO"
         OLLIElow address
         GPIBwrite address, "SETP " + Str$(temperature)
         Case Else
         MsgBox " huh ?"
    End Select
End Sub

