VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "HP3478"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
' **********************************************************************************
' ClassWork 1.0 (1999) Vincent Himpe All rights reserved
'                      Released under OpenSource Policy
'
' ClassBook Library for HP3478 Multimeter
' Initial release
' **********************************************************************************
Dim v_address  ' internal v_address handler

Enum v_mode
     internal = 1
     external = 2
     Line = 3
End Enum


Public Sub VoltsDc()
    GPIBwrite v_address, "F1"
End Sub

Public Sub VoltsAc()
    GPIBwrite v_address, "F2"
End Sub

Public Sub CurrentDC()
    GPIBwrite v_address, "F5"
End Sub

Public Sub CurrentAC()
    GPIBwrite v_address, "F6"
End Sub

Public Sub ohms2()
    GPIBwrite v_address, "F3"
End Sub

Public Sub ohms4()
    GPIBwrite v_address, "F4"
End Sub


Public Sub Trigger(v_mode)
    Select Case v_mode
    Case 1     ' internal ( vanachteren )
        GPIBwrite v_address, "T1"
    Case 2     ' external ( vanachteren )
        GPIBwrite v_address, "T2"
    Case Else  ' single
        GPIBwrite v_address, "T3"
    End Select
End Sub

Public Property Let Address(value)
       v_address = value
End Property

Public Property Get Address()
       Address = v_address
End Property





