VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "TTI330"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
'******************************************************************
' ClassWork Library
' Released under OpenSource Policy
'
' Instrument : PL330DP Dual power supply
' Manufacturer : Thurlby Thandar
'
' Initial release   15/11/1999      V.Himpe
' Fixup for vision5/TestBench 07/03/2000 V.Himpe
'******************************************************************

Private v_address  ' GPIB address for this device
Private v_entity   ' entity in multichannel devices

Public Property Let Address(addr)
    v_address = addr
    GPIBopen addr
End Property

Public Property Let Assignto(channel)
    v_entity = channel
End Property
Public Sub Class_Initialize()
   logentry "'Classwork spawned a TTI330 power supply"
End Sub
' ********************** Instrument functions **********************


Public Property Let Voltage(Level)
     GPIBwrite v_address, "V" + Trim$(Str$(v_entity)) + Str$(Level)
End Property

Public Property Let Current(Level)
    GPIBwrite v_address, "I" + Trim$(Str$(v_entity)) + Str$(Level)
End Property

Public Property Let Output(OnOff As Boolean)
    If OnOff = True Then
       GPIBwrite v_address, "OP" + Trim$(Str$(v_entity)) + " 1"
    Else
       GPIBwrite v_address, "OP" + Trim$(Str$(v_entity)) + " 0"
    End If
End Property

Public Property Get Voltage()
    
End Property
Public Property Get Current()

End Property
Public Property Get Output() As Boolean

End Property
