Attribute VB_Name = "HP34970"
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
'  Hewlett Packard 34970
'  Data acquisition unit
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
'  Winvision  Instrument library
'  Initial release: 08/06/99
'  Written by : Bert Vercauteren
'
'  Modification history :
'  30 / 08 / 1999 :  Verified for Winvision Release IV  V.Himpe
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Public Sub HP34970Close(address, card, channel)
    GPIBwrite address, "ROUT:CLOS (@" + LTrim$(Str$(card * 100) + channel) + ")"
End Sub

Public Sub HP34970Open(address, card, channel)
    GPIBwrite address, "ROUT:OPEN (@" + LTrim$(Str$(card * 100) + channel) + ")"
End Sub

Public Sub HP34970Dig(address, word, card, channel)
    GPIBwrite address, "SOUR:DIG:DATA" + Str$(word) + ", (@" + LTrim$(Str$(card * 100) + channel) + ")"
End Sub

Public Sub HP34970DAC(address, voltage, card, channel)
    GPIBwrite address, "SOUR:VOLT" + Str$(voltage) + " , (@" + LTrim$(Str$(card * 100) + channel) + ")"
End Sub

