Attribute VB_Name = "HP6624"
' **********************************************************************************
' Vision Library
' Library for HP6624 Power supply
' Initial release
' **********************************************************************************


  Public Sub voltage(address, channel, voltage)
      Dta$ = "VSET" + sStr$(channel) + "," + Format$(voltage, "00.000")
      GPIBwrite address, Dta$
  End Sub
  
  Public Sub Current(address, channel, Current)
      Dta$ = "ISET" + sStr$(channel) + "," + Format$(Current, "00.000")
      GPIBwrite address, Dta$
  End Sub
  
  Public Sub overload(address, channel, voltage)
      Dta$ = "OVSET " + sStr$(channel) + "," + Format$(voltage, "00.000")
      GPIBwrite address, Dta$
  End Sub
  
  Public Sub output(address, channel, OnOff As v_enable)
     If OnOff = True Then
       GPIBwrite address, "OUT + Str$(channel) + ", "1"
       Else
       GPIBwrite address, "OUT + Str$(channel) + ", "0"
     End If
  End Sub
  
  Public Function ReadCurrent(address, channel)
      GPIBread address, "IOUT? " + Str$(channel)
      ReadCurrent = ibret
  End Function

  Public Function ReadVoltage(address, channel)
      GPIBread address, "VOUT? " + Str$(channel)
      ReadVoltage = ibret
  End Function

