Attribute VB_Name = "hp3456a"
Option Explicit

' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
'  Hewlett Packard 3456a
'  Digital Voltmeter
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
'  Winvision  Instrument library
'  Initial release: 26/10/98
'  Written by : Vincent Himpe
'
'  Modification history :
'  30 / 08 / 1999 :  Verified for Winvision Release IV  V.Himpe
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Public Sub hp3456range(address, range)
    GPIBwrite address, "R" + Trim$(Str$(range))
End Sub
Public Function hp3456measure(address)
    GPIBtimeout 1
    GPIBwrite address, "1STNRS1T1"
    GPIBread address, "S01-1STRRER"
    hp3456measure = ib$
End Function
Public Sub hp3456Voltdc(address)
    GPIBwrite address, "F1"
End Sub
Public Sub hp3456Voltac(address)
    GPIBwrite address, "F2"
End Sub
Public Sub hp3456VoltRMS(address)
    GPIBwrite address, "F3"
End Sub
Public Sub hp3456ohm2w(address)
    GPIBwrite address, "F4"
End Sub
Public Sub hp3456ohm4w(address)
    GPIBwrite address, "F5"
End Sub
Public Sub hp3456trig(address, mode)
    Select Case mode
       Case 1  ' external
           GPIBwrite address, "T2"
       Case 2  ' single
           GPIBwrite address, "T3"
       Case 3  ' hold
           GPIBwrite address, "T4"
       Case Else ' internal
           GPIBwrite address, "T1"
    End Select
End Sub
