Attribute VB_Name = "hp8116"
Option Explicit
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
'  Hewlett Packard 8116
'  pulse / function generator
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
'  Winvision  Instrument library
'  Initial release: 05/11/98
'  Written by : Vincent Himpe
'
'  Modification history :
'  30 / 08 / 1999 :  Verified for Winvision Release IV  V.Himpe
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

Public Sub hp8116DC(address)
    GPIBwrite address, "W0"
End Sub
Public Sub hp8116sine(address)
    GPIBwrite address, "W1"
End Sub
Public Sub hp8116triangle(address)
    GPIBwrite address, "W2"
End Sub
Public Sub hp8116square(address)
    GPIBwrite address, "W3"
End Sub
Public Sub hp8116pulse(address)
    GPIBwrite address, "W4"
End Sub
Public Sub hp8116amplitude(address, level)
    GPIBwrite address, "AMP" + Str$(level) + "V"
End Sub
Public Sub hp8116offset(address, level)
    GPIBwrite address, "OFS" + Str$(level) + "V"
End Sub
Public Sub hp8116frequency(address, frequency)
    GPIBwrite address, "FRQ " + Str$(frequency) + "HZ"
End Sub
Public Sub hp8116output(address, state As Boolean)
    If state = True Then
       GPIBwrite address, "D1"
    Else
       GPIBwrite address, "D0"
    End If
End Sub
Public Sub hp8116sweep(address, startfreq, stopfreq, markerfreq, sweeptime)
    GPIBwrite address, "STA" + Str$(startfreq) + "HZ"
    
    GPIBwrite address, "STP" + Str$(stopfreq) + "HZ"
    GPIBwrite address, "MRK" + Str$(marerfreq) + "HZ"
    GPIBwrite address, "SWT" + Str$(sweeptime) + "MS"
End Sub

Public Sub hp8116complement(address, state As Boolean)
    If state = True Then
       GPIBwrite address, "C1"
    Else
       GPIBwrite address, "C0"
    End If
End Sub
Public Sub hp8116limit(address, state As Boolean)
    If state = True Then
       GPIBwrite address, "L1"
    Else
       GPIBwrite address, "L0"
    End If
End Sub

