Attribute VB_Name = "KTH220"
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
'  Keithley KTH220
'  Current source
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
'  Winvision  Instrument library
'  Initial release: 09/06/99
'  Written by : Bert Vercauteren
'
'  Modification history :
'  30 / 08 / 1999 :  Verified for Winvision Release IV  V.Himpe
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

Public Sub KTH220Current(address, current)
    GPIBwrite address, "R0 X I" + Format$(current, "00000.000000000")
End Sub
    
Public Sub KTH220Overvolt(address, voltage)
    GPIBwrite address, "V " + Trim$(Str$(voltage)) + "X"
End Sub

Public Sub KTH220Output(address, onoff As Boolean)
    If onoff = True Then
       GPIBwrite address, "F1 " + "X"
      Else
       GPIBwrite address, "F0 " + "X"
    End If
End Sub

