Attribute VB_Name = "rsngps"

' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
'  Rohde & Schwarz NGPS Steurspannungsquelle
'  Precision power supply
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
'  Winvision  Instrument library
'  Initial release: 27/10/98
'  Written by : Vincent Himpe
Option Explicit
'
'  Modification history :
'  30 / 08 / 1999 :  Verified for Winvision Release IV  V.Himpe
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

Public Sub ngpsvoltage(address, channel, voltage)
   Dim t$, sign$
   Select Case channel
      Case 2
         t$ = "UB"
      Case 3
         t$ = "UC"
      Case Else
         t$ = "UA"
   End Select
   If Abs(voltage) = voltage Then
      sign$ = "+"
      Else
      sign$ = ""
   End If
   If Abs(voltage) < 16 Then
       GPIBwrite address, t$ + "L" + sign$ + LTrim$(Str$(voltage)) ' set voltage on ngps
   Else
       GPIBwrite address, t$ + "H" + sign$ + LTrim$(Str$(voltage)) ' set voltage on ngps
   End If
End Sub
Public Sub ngpsenable(address, channel, state)

End Sub
