Attribute VB_Name = "AWG2021"
Option Explicit
Dim v_chan
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
'  Tektronix AWG2021
'  Arbitrary function Generator
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
'  Winvision  Instrument library
'  Initial release: 17/09/2000
'  Written by : Vincent Himpe
'
'  Modification history :
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

Public Sub AWG2021frequency(address, frequency)
    GPIBwrite address, ":FG:FREQ " + sStr$(frequency)
End Sub
Public Sub AWG2021Amplitude(address, amplitude, Optional channel)
    If IsMissing(channel) Then
      v_chan = 1
     Else
      v_chan = channel
    End If
    GPIBwrite address, ":FG:CH" + sStr$(v_chan) + ":AMPL " + sStr$(amplitude)
End Sub
Public Sub AWG2021Polarity(address, polarity As Boolean, Optional channel)
    If IsMissing(channel) Then
      v_chan = 1
     Else
      v_chan = channel
    End If
    If polarity = True Then
    GPIBwrite address, ":FG:CH" + sStr$(v_chan) + ":POL NORM"
    Else
    GPIBwrite address, ":FG:CH" + sStr$(v_chan) + ":POL INV"
    End If
End Sub

Public Sub AWG2021Offset(address, offset, Optional channel)
    If IsMissing(channel) Then
      v_chan = 1
     Else
      v_chan = channel
    End If
    GPIBwrite address, ":FG:CH" + sStr$(v_chan) + ":OFFSET " + sStr$(offset)
End Sub
Public Sub AWG2021Sine(address, Optional channel)
    If IsMissing(channel) Then
      v_chan = 1
     Else
      v_chan = channel
    End If
    GPIBwrite address, ":FG:CH" + sStr$(v_chan) + ":SHAPE SIN"
End Sub
Public Sub AWG2021Ramp(address, Optional channel)
    If IsMissing(channel) Then
      v_chan = 1
     Else
      v_chan = channel
    End If
    GPIBwrite address, ":FG:CH" + sStr$(v_chan) + ":SHAPE RAMP"
End Sub
Public Sub AWG2021triangle(address, Optional channel)
    If IsMissing(channel) Then
      v_chan = 1
     Else
      v_chan = channel
    End If
    GPIBwrite address, ":FG:CH" + sStr$(v_chan) + ":SHAPE TRI"
End Sub
Public Sub AWG2021Square(address, Optional channel)
    If IsMissing(channel) Then
      v_chan = 1
     Else
      v_chan = channel
    End If
    GPIBwrite address, ":FG:CH" + sStr$(v_chan) + ":SHAPE SQU"
End Sub
Public Sub AWG2021Pulse(address, Optional channel)
    If IsMissing(channel) Then
      v_chan = 1
     Else
      v_chan = channel
    End If
    GPIBwrite address, ":FG:CH" + sStr$(v_chan) + ":SHAPE PULSE"
End Sub

Public Sub AWG2021Arb(address, Optional channel)
    If IsMissing(channel) Then
      v_chan = 1
     Else
      v_chan = channel
    End If
End Sub

Public Sub AWG2021LoadArb(address, wavefile As String, Optional channel)
End Sub

Public AWG2021Sendfile(address, file$)
    GPIBwriteFILE address, file$
End Sub
